OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

Profile
Personal Photo
Options
Options
Personal Statement
urielka doesn't have a personal statement currently.
Personal Info
urielka
Age Unknown
Gender Not Set
Location Unknown
Birthday Unknown
Interests
No Information
Statistics
Joined: 13-September 05
Profile Views: 429*
Last Seen: 25th September 2006 - 11:39 AM
Local Time: Dec 27 2014, 02:17 PM
178 posts (0 per day)
Contact Information
AIM No Information
Yahoo No Information
ICQ No Information
MSN No Information
* Profile views updated each hour

urielka

Members


Topics
Posts
Comments
Friends
My Content
18 Feb 2006
can someone compile it?(i can`t find the source)

Uriel
10 Jan 2006
Gp32x GP2x thread
Gp2x runs linux so there is any way to get it running on Pdaxrom or port the dynamic recompiler to pcsx(i assume that it have one).

Uriel
4 Jan 2006
CODE
#!/bin/sh

# klik wrapper 0.7.1
# by probono at myrealbox.com
# genericized - allows moving the AppDir around

APPNAME="okle"
SUBSTUSR=""
ARGS=""

######### there should be no need to edit below

# cd to the AppDir
DIRNAME=`cd \`dirname $0\` && pwd`
cd $DIRNAME

# our normal prefix
PRE="$DIRNAME/usr"

# link substitute for /usr in case we need it
if [ -n "$SUBSTUSR" ]
then
sudo ln -sf $PRE $SUBSTUSR
PRE="$SUBSTUSR"
fi

# determine whether we want to run in GUI mode
export GUIMODE=$(tty -s; echo $?)
# ( echo $GUIMODE | grep 1 >/dev/null ) # && echo "Running in GUI mode"

# determine DIALOG
if [ -z $DIALOG ]
then
dialog=Xdialog
pidof -x kdesktop >/dev/null && DIALOG=kdialog
pidof -x gnome-panel >/dev/null && DIALOG=zenity # if we are running GNOME
fi

# replace relative with absolute paths in command line arguments, thanks bfree
NEWCMD=$(perl -e '$newcmd=shift(@ARGV);foreach $arg (@ARGV){ @part=split(/\=/,$arg); foreach $part (@part){ (-e "$ENV{PWD}/$part") && ($part="$ENV{PWD}/$part");}$newcmd.=" ".join ("=",@part);} print "$newcmd";' $@)
set -- $NEWCMD

# set paths
export PATH=$DIRNAME/sbin:$DIRNAME/bin:$PRE/sbin:$PRE/bin:$PRE/X11R6/bin:$PRE/local/sbin:$PRE/local/bin:$PRE/games:$PATH
export LD_LIBRARY_PATH=$DIRNAME/lib:$PRE/lib/:$DIRNAME/opt/kde3/lib:$DIRNAME/usr/X11R6/lib/:$LD_LIBRARY_PATH

# support for KDE
export KDEDIRS=$PRE/:$KDEDIRS

# support for man pages (interpreted by KDE)
export MANPATH=$PRE/share/man:$PRE/X11R6/man:$MANPATH

# support for PYTHON
MYPYTHONPATH=$(find $PRE/lib/python2.3/site-packages/ -type d -printf %p: 2>/dev/null)
MYPYTHONPATH2=$(find $PRE/lib/python2.4/site-packages/ -type d -printf %p: 2>/dev/null)
export PYTHONPATH=$MYPYTHONPATH:$MYPYTHONPATH2:$PYTHONPATH

# support for PERL
export PERL5LIB=./local/lib/perl/5.8.4:./local/share/perl/5.8.4:./lib/perl5:./share/perl5:./lib/perl/5.8:./share/perl/5.8:./local/lib/site_perl

# support for GTK
# still to be done, as patching seems to do the trick
# =$PRE
# see http://www-eleves-isia.cma.fr/documentation/GtkDoc/gtk/gtk-running.html

# if commandline arguments are passed, use the first argument as the name of the application to be called, and remove $1  from $@
if [ $1 ]; then APPNAME=$1; shift; fi

# ask the user which application to use if APPNAME is not correct
if [ !  $(which $APPNAME) ]
then
    BINARIES="$(find $DIRNAME/sbin/* -perm +1 -type f 2>/dev/null) $BINARIES"
    BINARIES="$(find $DIRNAME/bin/* -perm +1 -type f 2>/dev/null) $BINARIES"
    BINARIES="$(find $PRE/sbin/* -perm +1 -type f 2>/dev/null) $BINARIES"
    BINARIES="$(find $PRE/bin/* -perm +1 -type f 2>/dev/null) $BINARIES"
    BINARIES="$(find $PRE/X11R6/bin/* -perm +1 -type f 2>/dev/null) $BINARIES"
    BINARIES="$(find $PRE/local/sbin/* -perm +1 -type f 2>/dev/null) $BINARIES"
    BINARIES="$(find $PRE/local/bin/* -perm +1 -type f 2>/dev/null) $BINARIES"
    BINARIES="$(find $PRE/games/* -perm +1 -type f 2>/dev/null) $BINARIES"
    for BINARI in $BINARIES
    do
 OPTIONSTRING="$BINARI $(basename $BINARI) $OPTIONSTRING"
    done
    export APPNAME=$(kdialog  --menu "" --caption "" $OPTIONSTRING)
fi

BINARY=$(which $APPNAME) || exit 1  #  kdialog --error "Can't find the binary to run." --caption ""
# doesn't work: # if [ -z $BINARY ]; then echo "Can't find the binary to run." > /dev/stderr; exit 1; fi

# check whether this is a commandline app, in this case run it in konsole
# TODO: find a more reliable way to thell whether an app is a commandline tool
KONSOLE="konsole --noclose  --notoolbar --nomenubar --caption $(basename $APPNAME) -e"
[ $DIALOG = "zenity" ] && KONSOLE="gnome-terminal -x "
( ldd $BINARY | grep libX11 >/dev/null ) && export KONSOLE=""

# if we don't run in GUI mode, then we don't need konsole since we are on a cmdline
# ( echo $GUIMODE | grep 0 >/dev/null ) && export KONSOLE=""
( tty | grep ^/dev/tty >/dev/null ) && export KONSOLE=""
( tty | grep ^/dev/pts >/dev/null ) && export KONSOLE=""

# start the app together with all command line arguments
cd $PRE/ # neccessary for patched apps
$KONSOLE $BINARY $ARGS "$@"
if [ "$?" = "0" ]
then
while pidof -x $BINARY &>/dev/null; do sleep 1; done
else
RESULT="error"
fi

# remove link substitute for /usr in case we needed it
if [ -n "$SUBSTUSR" ]
then
sudo rm -f $SUBSTUSR
fi

if [ "$RESULT" = "error" ]
then
exit 1
else
exit 0
fi

this code is from a klik app ( Klik).
this code enable to run an app that is not in a normal prefix(/usr /opt) and enable to use the librarys from alot of paths.
basicly this code enable the use of cf and sd packages without the need of links(which consume alot of memory and is very slow and based on bash which is slowwwwwww!!!).
CODE
NEWCMD=$(perl -e '$newcmd=shift(@ARGV);foreach $arg (@ARGV){ @part=split(/\=/,$arg); foreach $part (@part){ (-e "$ENV{PWD}/$part") && ($part="$ENV{PWD}/$part");}$newcmd.=" ".join ("=",@part);} print "$newcmd";' $@)
set -- $NEWCMD
###for cf card
PRE=/mnt/cf
DIRNAME=/mnt/cf
###for sd card
PRE=/mnt/card
DIRNAME=/mnt/card
###
PATH=$DIRNAME/sbin:$DIRNAME/bin:$PRE/sbin:$PRE/bin:$PRE/X11R6/bin:$PRE/local/sbin:$PRE/local/bin:$PRE/games:$PATH
export LD_LIBRARY_PATH=$DIRNAME/lib:$PRE/lib/:$DIRNAME/opt/kde3/lib:$DIRNAME/usr/X11R6/lib/:$LD_LIBRARY_PATH

# support for KDE
export KDEDIRS=$PRE/:$KDEDIRS

# support for man pages (interpreted by KDE)
export MANPATH=$PRE/share/man:$PRE/X11R6/man:$MANPATH

# support for PYTHON
MYPYTHONPATH=$(find $PRE/lib/python2.3/site-packages/ -type d -printf %p: 2>/dev/null)
MYPYTHONPATH2=$(find $PRE/lib/python2.4/site-packages/ -type d -printf %p: 2>/dev/null)
export PYTHONPATH=$MYPYTHONPATH:$MYPYTHONPATH2:$PYTHONPATH

# support for PERL
export PERL5LIB=./local/lib/perl/5.8.4:./local/share/perl/5.8.4:./lib/perl5:./share/perl5:./lib/perl/5.8:./share/perl/5.8:./local/lib/site_perl
if [ $1 ]; then APPNAME=$1; shift; fi
# start the app together with all command line arguments
cd $PRE/ # neccessary for patched apps
$BINARY $ARGS "$@"
if [ "$?" = "0" ]
then
while pidof -x $BINARY &>/dev/null; do sleep 1; done
else
RESULT="error"
fi

this code should be cleaned alot and should be run in the boot time.
this way you can run apps from cf and sd without the need of links to the root partiton which means no ipkg-link in the boot time(takes about 10 minutes on my Zaurus with alot of apps) and uses almost all the mem(from 30Megs in login to 2 Megs after a while).
i highly recommend to use this as it is more fast,low memory use and a simple solution
3 Jan 2006
i upgraded to Beta1 and then i saw that i have a small root partiton so i resize it and reinstall it all by the instructions.
but now i can`t start X and i get a bunch of messages about libXext.so.6
and i get something alot messages about magic bitmask 0x1985 not found in ....
all this in boot time.
and i get something about:
ld.so: dynamic-link.h : 74:elf_get_dynamic_info:Assertion '! "bad dynamic tag" failed!
when i try to start Xserver.
is there any way to do a super hard reset like doing a mke2fs to root?
coz when i flash the new rom it doesn`t erase it,it just write over it(as far as i see).
plz help me
23 Dec 2005
http://www.linuxdevices.com/news/NS3869045684.html
any way to get SDIO to pdaxrom and maybe build some drivers?
Uriel
Last Visitors
urielka has no visitors to display.

Comments
Other users have left no comments for urielka.

Friends
There are no friends to display.
RSS Lo-Fi Version Time is now: 27th December 2014 - 04:17 AM